AWS
action ECS

# delete_cluster

Delete an ECS cluster

Run it now
View details

Type | action
Module | chaosaws.ecs.actions
Name | delete_cluster
Return | mapping

Usage

JSON

    {
      "name": "delete-cluster",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.ecs.actions",
        "func": "delete_cluster",
        "arguments": {
          "cluster": ""
        }
      }
    }

YAML

    name: delete-cluster
    provider:
      arguments:
        cluster: ""
      func: delete_cluster
      module: chaosaws.ecs.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster | string |  | Yes | Cluster | Name of the target ECS cluster

cluster: The ECS cluster name or ARN

Signature

    def delete_cluster(
            cluster: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action ECS

  ## `delete_service`

  Delete an ECS service
- AWS
  action ECS

  ## `stop_random_tasks`

  Stop a random number of tasks based on given task_count or task_percent
- AWS
  probe ECS

  ## `are_all_desired_tasks_running`

  Checks to make sure desired and running tasks counts are equal